dofile ("data/zero/zero.lua")
dofile ("data/scripts/func.lua")

function gui_loop(gui)
    local ui = Z:GUI()
    local storage = Z:Storage()
    local is_config = storage.data('hb', 'is_config')
    
    -- при клике на полоску hp открывает конфигурационное меню
    if ui.button(gui, 87, 5, 0, 0, '               ', 10) then
        if is_config == 'false' then
            is_config = 'true'
        else
            is_config = 'false'
        end
        storage.data('hb', 'is_config', is_config)
    end

    if is_config == 'true' then
        hp_player_bar = '[ ] '
        hp_player_num = '[ ] '
        hp_player_percent = '[ ] '
        
        hp_enemy_bar = '[ ] '
        hp_enemy_num = '[ ] '
        hp_enemy_percent = '[ ] '
        
        -- регулирует корректное отображение опций выбора
        if HasFlagPersistent('hp_player_bar') then
            hp_player_bar = '[*] '
        end
        if HasFlagPersistent('hp_player_num') then
            hp_player_num = '[*] '
        end
        if HasFlagPersistent('hp_player_percent') then
            hp_player_percent = '[*] '
        end

        if HasFlagPersistent('hp_enemy_bar') then
            hp_enemy_bar = '[*] '
        end
        if HasFlagPersistent('hp_enemy_num') then
            hp_enemy_num = '[*] '
        end
        if HasFlagPersistent('hp_enemy_percent') then
            hp_enemy_percent = '[*] '
        end

        ui.button(gui, 75, 11, 0, 3, 'Player', 100)
        if ui.button(gui, 75, 15, 0, 3, hp_player_bar ..'Enable HP bar', 2) then
            if HasFlagPersistent('hp_player_bar') then
                RemoveFlagPersistent('hp_player_bar')
                player_bar_disable()
                player_num_disable()
                player_num_enable()
            else
                AddFlagPersistent('hp_player_bar')
                player_bar_enable()
                player_num_disable()
                player_num_enable()
            end
        end
        if ui.button(gui, 75, 19, 0, 3, hp_player_num ..'Enable HP num', 3) then
            if HasFlagPersistent('hp_player_num') then
                RemoveFlagPersistent('hp_player_num')
                player_num_disable()
            else
                AddFlagPersistent('hp_player_num')
                RemoveFlagPersistent('hp_player_percent')
                player_num_enable()
            end
        end
        if ui.button(gui, 75, 22, 0, 3, hp_player_percent ..'Enable HP percent', 4) then
            if HasFlagPersistent('hp_player_percent') then
                RemoveFlagPersistent('hp_player_percent')
                player_num_disable()
            else
                AddFlagPersistent('hp_player_percent')
                RemoveFlagPersistent('hp_player_num')
                player_num_enable()
            end
        end

        ui.button(gui, 75, 27, 0, 3, 'Enemy', 100)
        if ui.button(gui, 75, 31, 0, 3, hp_enemy_bar ..'Enable HP bar', 5) then
            if HasFlagPersistent('hp_enemy_bar') then
                RemoveFlagPersistent('hp_enemy_bar')
                enemy_bar_disable()
                enemy_num_disable()
                enemy_num_enable()
            else
                AddFlagPersistent('hp_enemy_bar')
                enemy_bar_enable()
                enemy_num_disable()
                enemy_num_enable()

            end
        end
        if ui.button(gui, 75, 35, 0, 3, hp_enemy_num ..'Enable HP num', 6) then
            if HasFlagPersistent('hp_enemy_num') then
                RemoveFlagPersistent('hp_enemy_num')
                enemy_num_disable()
            else
                AddFlagPersistent('hp_enemy_num')
                RemoveFlagPersistent('hp_enemy_percent')
                enemy_num_enable()
            end
        end
        if ui.button(gui, 75, 38, 0, 3, hp_enemy_percent ..'Enable HP percent', 7) then
            if HasFlagPersistent('hp_enemy_percent') then
                RemoveFlagPersistent('hp_enemy_percent')
                enemy_num_disable()
            else
                AddFlagPersistent('hp_enemy_percent')
                RemoveFlagPersistent('hp_enemy_num')
                enemy_num_enable()
            end
        end
    end
end