dofile ("data/zero/zero.lua")

local entity_id = GetUpdatedEntityID()
local component = EntityGetFirstComponent(entity_id, "HitboxComponent")
local offset_y = 0
if component ~= nil then
    offset_y = tostring(ComponentGetValue(component, "aabb_max_y") + ComponentGetValue(component, "aabb_min_y"))
end

if EntityGetFirstComponent( entity_id, "HealthBarComponent" ) == nil then
    EntityAddComponent( entity_id, "HealthBarComponent" );
    EntityAddComponent( entity_id, "SpriteComponent",
    {
        _tags="health_bar,ui,no_hitbox",
        alpha="1",
        has_special_scale="1",
        image_file="data/gui/sprites/healthbar.png",
        is_text_sprite="0",
        next_rect_animation="",
        offset_x="6",
        offset_y="-4",
        rect_animation="",
        ui_is_parent="0",
        update_transform="1",
        visible="1",
        z_index="-10000",
    });
    
    EntityAddComponent( entity_id, "SpriteComponent",
    {
        _tags="health_bar_bg,ui,no_hitbox",
        alpha="1",
        has_special_scale="1",
        image_file="data/gui/sprites/healthbar_bg.png",
        is_text_sprite="0",
        next_rect_animation="",
        offset_x="6",
        offset_y="-4",
        rect_animation="",
        ui_is_parent="0",
        update_transform="1",
        visible="1",
        z_index="-9999",
    });
end




