--[[

Обёртка над выводимым GUI.

--]]

if not async then
	dofile( "data/scripts/lib/coroutines.lua" )
end
dofile( "data/scripts/lib/utilities.lua" )
dofile ("data/zero/zero.lua")

local storage = Z:Storage()
local file = storage.data("noita_rpg", "gui_loop")
dofile (file)

local gui = GuiCreate()

local gui_frame_fn = function()
    gui_loop(gui)
end
async_loop(function()

  if gui ~= nil then
    GuiStartFrame(gui)
  end
  if gui_frame_fn ~= nil then
    gui_frame_fn()
  end
  wait(0)
end)